/* -*-c-*-
 *
 * $Id: mdwfocus.c,v 1.5 1999/11/11 19:54:37 mdw Exp $
 *
 * Tell my hacked `fvwm' to focus this window
 *
 * (c) 1998 Straylight/Edgeware
 */

/*----- Licensing notice --------------------------------------------------* 
 *
 * This file is part of the mgLib GTK utilities library.
 *
 * mgLib is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 * 
 * mgLib is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with mgLib; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA.
 */

/*----- Revision history --------------------------------------------------* 
 *
 * $Log: mdwfocus.c,v $
 * Revision 1.5  1999/11/11 19:54:37  mdw
 * Prep for standalone release.
 *
 * Revision 1.4  1999/05/06 19:51:48  mdw
 * Reformatted the LGPL notice a little bit.
 *
 * Revision 1.3  1999/05/05 18:52:45  mdw
 * Change licensing conditions to LGPL.
 *
 * Revision 1.2  1999/03/25 23:36:09  mdw
 * Compile to nothing in absence of GTK, for the benefit of parent packages
 * which contain non-GTK-dependent parts.
 *
 * Revision 1.1  1998/12/11 09:44:21  mdw
 * Initial version.
 *
 */

/*----- Header files ------------------------------------------------------*/

#include <gtk/gtk.h>
#include <gdk/gdk.h>

#include <X11/Xatom.h>
#include <X11/Xlib.h>

/*----- Main code ---------------------------------------------------------*/

/* --- @mdwfocus@ --- *
 *
 * Arguments:	@GtkWidget *w@ = widget to mark as must-be-focussed.
 *
 * Returns:	---
 *
 * Use:		Marks a window as wanting to have focus `anyway', even if
 *		normally disabled.  This only works with my hacked `fvwm'
 *		version.
 */

void mdwfocus(GtkWidget *w)
{
  static GdkAtom a = 0;
  unsigned char c = 1;

  if (!a)
    a = gdk_atom_intern("FVWM_GIVE_ME_FOCUS", 0);
  gdk_property_change(w->window, a, XA_CARDINAL, 8,
		      GDK_PROP_MODE_REPLACE, &c, 1);
}

/*----- That's all, folks -------------------------------------------------*/
